<!DOCTYPE html">
<html>
	<head>
		
		<title>Roman numerals example in Javascript</title>
		<meta charset="UTF-8" />
		<link type="text/css" rel="stylesheet" href="styles/thumbs.css">
		<script src="js/RomanNumbers.js"></script>

		<script>

			window.onload = function(){

				//---Declaración de variables
				var arabic = document.getElementById("arabic");
				var roman = document.getElementById("roman");
				var manager = new RomanNumbers();

				arabic.addEventListener("change", convertToRoman);
				arabic.addEventListener("keyup", convertToRoman);

				roman.addEventListener("change", convertToArabic);
				roman.addEventListener("keyup", convertToArabic);

				//---Convertir a romano
				function convertToRoman(){

					roman.value = (Number(arabic.value) < 3999999) ? manager.getRomanNumber(Number(arabic.value)) : "The Arabic number is not valid";					

				}

				//---Convertir a arábigo
				function convertToArabic(){

					arabic.value = (manager.testRoman(roman.value)) ? manager.getArabicNumber(roman.value) : "The Roman numeral is not valid";			

				}

			}

		</script>

	</head>

	<body>

		<div class="inline">
			<label>Arabic number</label>
			<br>
			<input type="text" class="roman-input" id="arabic" />
		</div><div class="inline">
			<label>Roman numeral</label>
			<br>
			<input type="text" type="text" class="roman-input" id="roman" />
		</div>

	</body>
</html>